Subject: Re: [PATCH] services: elogind: Support Hook Directories

From: 45mg <[email-masked]>
Date: Thu, 12 Dec 2024 08:00:51 -0500

Here's how I tested these changes if anyone is interested:

- Add the files included here into a `testdir` directory
- Compile
  guix shell -D guix --pure -- make
- Test in a container (no loginctl sessions, but will catch obvious errors)
  sudo $(./pre-inst-env guix system container path/to/testdir/test-config.scm)
- Test in a VM (need --full-boot for the ability to suspend, etc)
  $(./pre-inst-env guix system vm --full-boot path/to/testdir/test-config.scm)